org.codehaus.groovy.tools.shell.util

## Class Preferences

- java.lang.Object
- - org.codehaus.groovy.tools.shell.util.Preferences

-     public class Preferences
      extends java.lang.Object

  Container for shell preferences.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IO.Verbosity` | `verbosity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Preferences()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addChangeListener(java.util.prefs.PreferenceChangeListener listener)`
    `static void` | `clear()`
    `static java.lang.String` | `get(java.lang.String name)`
    `static java.lang.String` | `get(java.lang.String name, java.lang.String defaultValue)`
    `static java.lang.String` | `getEditor()`
    `static java.lang.String` | `getParserFlavor()`
    `static boolean` | `getSanitizeStackTrace()`
    `static boolean` | `getShowLastResult()`
    `static java.lang.String[]` | `keys()`
    `static void` | `put(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### verbosity

          public static IO.Verbosity verbosity

  - ### Constructor Detail

    - #### Preferences

          public Preferences()

  - ### Method Detail

    - #### getShowLastResult

          public static boolean getShowLastResult()

    - #### getSanitizeStackTrace

          public static boolean getSanitizeStackTrace()

    - #### getEditor

          public static java.lang.String getEditor()

    - #### getParserFlavor

          public static java.lang.String getParserFlavor()

    - #### keys

          public static java.lang.String[] keys()
                                         throws java.util.prefs.BackingStoreException

      Throws:
        `java.util.prefs.BackingStoreException`

    - #### get

          public static java.lang.String get(java.lang.String name,
                             java.lang.String defaultValue)

    - #### get

          public static java.lang.String get(java.lang.String name)

    - #### put

          public static void put(java.lang.String name,
                 java.lang.String value)

    - #### clear

          public static void clear()
                            throws java.util.prefs.BackingStoreException

      Throws:
        `java.util.prefs.BackingStoreException`

    - #### addChangeListener

          public static void addChangeListener(java.util.prefs.PreferenceChangeListener listener)